package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.Objects;

/**
 * PortDeviceDetail
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class PortDeviceDetail   {
  @JsonProperty("type")
  private String type;

  @JsonProperty("mac")
  private String mac;

  @JsonProperty("name")
  private String name;

  @JsonProperty("site")
  private String site;

  @JsonProperty("model")
  private String model;

  @JsonProperty("modelVersion")
  private String modelVersion;

  @JsonProperty("hwVersion")
  private String hwVersion;

  @JsonProperty("status")
  private Integer status;

  @JsonProperty("sn")
  private String sn;

  @JsonProperty("ports")
  private DevicePorts ports;

  public PortDeviceDetail type(String type) {
    this.type = type;
    return this;
  }

  /**
   * Device type. \"gateway\", \"switch\"
   * @return type
  */
  @ApiModelProperty(value = "Device type. \"gateway\", \"switch\"")


  public String getType() {
    return type;
  }

  public void setType(String type) {
    this.type = type;
  }

  public PortDeviceDetail mac(String mac) {
    this.mac = mac;
    return this;
  }

  /**
   * Device mac.
   * @return mac
  */
  @ApiModelProperty(value = "Device mac.")


  public String getMac() {
    return mac;
  }

  public void setMac(String mac) {
    this.mac = mac;
  }

  public PortDeviceDetail name(String name) {
    this.name = name;
    return this;
  }

  /**
   * Device name.
   * @return name
  */
  @ApiModelProperty(value = "Device name.")


  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public PortDeviceDetail site(String site) {
    this.site = site;
    return this;
  }

  /**
   * Site ID
   * @return site
  */
  @ApiModelProperty(value = "Site ID")


  public String getSite() {
    return site;
  }

  public void setSite(String site) {
    this.site = site;
  }

  public PortDeviceDetail model(String model) {
    this.model = model;
    return this;
  }

  /**
   * Device model.
   * @return model
  */
  @ApiModelProperty(value = "Device model.")


  public String getModel() {
    return model;
  }

  public void setModel(String model) {
    this.model = model;
  }

  public PortDeviceDetail modelVersion(String modelVersion) {
    this.modelVersion = modelVersion;
    return this;
  }

  /**
   * Device model version.
   * @return modelVersion
  */
  @ApiModelProperty(value = "Device model version.")


  public String getModelVersion() {
    return modelVersion;
  }

  public void setModelVersion(String modelVersion) {
    this.modelVersion = modelVersion;
  }

  public PortDeviceDetail hwVersion(String hwVersion) {
    this.hwVersion = hwVersion;
    return this;
  }

  /**
   * Device hardware version.
   * @return hwVersion
  */
  @ApiModelProperty(value = "Device hardware version.")


  public String getHwVersion() {
    return hwVersion;
  }

  public void setHwVersion(String hwVersion) {
    this.hwVersion = hwVersion;
  }

  public PortDeviceDetail status(Integer status) {
    this.status = status;
    return this;
  }

  /**
   * Device status.
   * @return status
  */
  @ApiModelProperty(value = "Device status.")


  public Integer getStatus() {
    return status;
  }

  public void setStatus(Integer status) {
    this.status = status;
  }

  public PortDeviceDetail sn(String sn) {
    this.sn = sn;
    return this;
  }

  /**
   * Device SN code.
   * @return sn
  */
  @ApiModelProperty(value = "Device SN code.")


  public String getSn() {
    return sn;
  }

  public void setSn(String sn) {
    this.sn = sn;
  }

  public PortDeviceDetail ports(DevicePorts ports) {
    this.ports = ports;
    return this;
  }

  /**
   * Get ports
   * @return ports
  */
  @ApiModelProperty(value = "")

  @Valid

  public DevicePorts getPorts() {
    return ports;
  }

  public void setPorts(DevicePorts ports) {
    this.ports = ports;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    PortDeviceDetail portDeviceDetail = (PortDeviceDetail) o;
    return Objects.equals(this.type, portDeviceDetail.type) &&
        Objects.equals(this.mac, portDeviceDetail.mac) &&
        Objects.equals(this.name, portDeviceDetail.name) &&
        Objects.equals(this.site, portDeviceDetail.site) &&
        Objects.equals(this.model, portDeviceDetail.model) &&
        Objects.equals(this.modelVersion, portDeviceDetail.modelVersion) &&
        Objects.equals(this.hwVersion, portDeviceDetail.hwVersion) &&
        Objects.equals(this.status, portDeviceDetail.status) &&
        Objects.equals(this.sn, portDeviceDetail.sn) &&
        Objects.equals(this.ports, portDeviceDetail.ports);
  }

  @Override
  public int hashCode() {
    return Objects.hash(type, mac, name, site, model, modelVersion, hwVersion, status, sn, ports);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class PortDeviceDetail {\n");
    
    sb.append("    type: ").append(toIndentedString(type)).append("\n");
    sb.append("    mac: ").append(toIndentedString(mac)).append("\n");
    sb.append("    name: ").append(toIndentedString(name)).append("\n");
    sb.append("    site: ").append(toIndentedString(site)).append("\n");
    sb.append("    model: ").append(toIndentedString(model)).append("\n");
    sb.append("    modelVersion: ").append(toIndentedString(modelVersion)).append("\n");
    sb.append("    hwVersion: ").append(toIndentedString(hwVersion)).append("\n");
    sb.append("    status: ").append(toIndentedString(status)).append("\n");
    sb.append("    sn: ").append(toIndentedString(sn)).append("\n");
    sb.append("    ports: ").append(toIndentedString(ports)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

